--- old/usr/src/uts/common/crypto/io/ecc.c	sam. juil. 16 15:13:45 2016
+++ new/usr/src/uts/common/crypto/io/ecc.c	sam. juil. 16 15:13:45 2016
@@ -62,8 +62,8 @@
 
 static struct modlinkage modlinkage = {
 	MODREV_1,
-	(void *)&modlcrypto,
-	NULL
+	{   (void *)&modlcrypto,
+	    NULL }
 };
 
 /*
@@ -191,27 +191,27 @@
 	ecc_nostore_key_derive
 };
 
-static crypto_ops_t ecc_crypto_ops = {
-	&ecc_control_ops,
-	NULL,
-	NULL,
-	NULL,
-	&ecc_sign_ops,
-	&ecc_verify_ops,
-	NULL,
-	NULL,
-	NULL,
-	NULL,
-	NULL,
-	NULL,
-	NULL,
-	NULL,
-	NULL,
-	&ecc_nostore_key_ops,
-	NULL,
-};
+static crypto_ops_t ecc_crypto_ops = {{{{{{
+				&ecc_control_ops,
+				NULL,
+				NULL,
+				NULL,
+				&ecc_sign_ops,
+				&ecc_verify_ops,
+				NULL,
+				NULL,
+				NULL,
+				NULL,
+				NULL,
+				NULL,
+				NULL,
+				NULL },	/* cou_v1 */
+			NULL },		/* cou_v2 */
+		&ecc_nostore_key_ops },	/* cou_v3 */
+	NULL },				/* cou_v4 */
+}};
 
-static crypto_provider_info_t ecc_prov_info = {
+static crypto_provider_info_t ecc_prov_info = {{{{
 	CRYPTO_SPI_VERSION_4,
 	"EC Software Provider",
 	CRYPTO_SW_PROVIDER,
@@ -220,7 +220,7 @@
 	&ecc_crypto_ops,
 	sizeof (ecc_mech_info_tab)/sizeof (crypto_mech_info_t),
 	ecc_mech_info_tab
-};
+}}}};
 
 static crypto_kcf_provider_handle_t ecc_prov_handle = NULL;
 
